## python-phpserialize 1.3

=== Makefile ===
test:
	python tests.py

=== debian/changelog ===
python-phpserialize (1.3-3) unstable; urgency=medium

  * QA upload.
  * d/p/fix-ftbfs-python312.patch: Fix build with Python 3.12.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 11 Jun 2024 14:29:03 -0400

python-phpserialize (1.3-2) unstable; urgency=medium

  * QA upload.
  * Set the maintainer to Debian QA Group. (See #1040965)
  * debian/*.pydist: Dropped, useless now.
  * debian/compat: Dropped, useless now.
  * Bump Standards-Version to 4.7.0, debhelper compat v13.

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Apr 2024 18:57:43 -0400

python-phpserialize (1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938023

 -- Sandro Tosi <morph@debian.org>  Sat, 05 Oct 2019 21:17:54 -0400

python-phpserialize (1.3-1) unstable; urgency=low

  * Initial release (closes: #801801).
  * Autogenerated by py2dsp v1.20151008.
  * Fix up autogenerated packaging.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 14 Oct 2015 20:15:21 +0200

=== debian/control ===
Source: python-phpserialize
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: http://github.com/mitsuhiko/phpserialize
Vcs-Git: https://salsa.debian.org/debian/python-phpserialize.git
Vcs-Browser: https://salsa.debian.org/debian/python-phpserialize

Package: python3-phpserialize
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: Python port of PHP serialize and unserialize functions (Python 3)
 This module implements the Python serialization interface (eg: provides dumps,
 loads and similar functions).
 .
 This package contains phpserialize for Python 3.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=phpserialize
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
https://github.com/mitsuhiko/phpserialize/releases .*/archive/(.+)\.tar\.gz
